---@meta

---@class ABP_Interactable_Burger_C : ABP_Interactable_Actor_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Heat_Lvl int32
---@field Timer FTimerHandle
---@field MI UMaterialInstanceDynamic
---@field ['Health Increment'] int32
---@field GrillingBurger UAudioComponent
---@field NewName FText
local ABP_Interactable_Burger_C = {}

function ABP_Interactable_Burger_C:OnRep_NewName() end
function ABP_Interactable_Burger_C:StopGrillSFX() end
function ABP_Interactable_Burger_C:PlayGrillSFX() end
---@param Success boolean
---@param CharacterPose E_CharacterPose::Type
---@param CharacterPoseAnim UAnimSequenceBase
function ABP_Interactable_Burger_C:GetCharacterPose(Success, CharacterPose, CharacterPoseAnim) end
---@param Mesh UStaticMesh
---@param DynamicMaterial UMaterialInstanceDynamic
function ABP_Interactable_Burger_C:GetVisuals(Mesh, DynamicMaterial) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_Burger_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_1(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_Burger_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_0(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param NotifyName FName
function ABP_Interactable_Burger_C:OnNotifyEnd_E119FD8A46366223BEE6A2AE4C217F2F(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Burger_C:OnNotifyBegin_E119FD8A46366223BEE6A2AE4C217F2F(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Burger_C:OnInterrupted_E119FD8A46366223BEE6A2AE4C217F2F(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Burger_C:OnBlendOut_E119FD8A46366223BEE6A2AE4C217F2F(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Burger_C:OnCompleted_E119FD8A46366223BEE6A2AE4C217F2F(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Burger_C:OnNotifyEnd_32A129B646A119212F43CF879AB4C09E(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Burger_C:OnNotifyBegin_32A129B646A119212F43CF879AB4C09E(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Burger_C:OnInterrupted_32A129B646A119212F43CF879AB4C09E(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Burger_C:OnBlendOut_32A129B646A119212F43CF879AB4C09E(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Burger_C:OnCompleted_32A129B646A119212F43CF879AB4C09E(NotifyName) end
function ABP_Interactable_Burger_C:ReceiveBeginPlay() end
function ABP_Interactable_Burger_C:DoneCooking() end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_Interactable_Burger_C:CallBackPrimaryFire(Player, Stop) end
---@param Heat int32
function ABP_Interactable_Burger_C:StartCooking(Heat) end
function ABP_Interactable_Burger_C:StopCooking() end
function ABP_Interactable_Burger_C:UpdateName() end
---@param EntryPoint int32
function ABP_Interactable_Burger_C:ExecuteUbergraph_BP_Interactable_Burger(EntryPoint) end


